SmlDataSyncObject Struct Reference

This is the central synchronization object. More...

`#include <data_sync.h>`

Collaboration diagram for SmlDataSyncObject:

## Data Fields

SmlSessionType | dsType
SmlTransportType | tspType
SmlTransportConnectionType | conType
SmlManager * | manager
SmlTransport * | tsp
SmlAuthenticator * | auth
SmlDevInf * | localDevInf
SmlDevInf * | remoteDevInf
SmlDevInfAgent * | agent
SmlSession * | session
GMutex * | managerMutex
GSourceFuncs * | functions
SmlThread * | thread
GMainContext * | context
GSource * | source
GList * | datastores
SmlBool | useNumberOfChanges
SmlBool | useTimestampAnchor
SmlBool | onlyLocaltime
SmlBool | onlyReplace
SmlBool | useStringTable
SmlBool | useWbxml
unsigned int | maxObjSize
unsigned int | maxMsgSize
char * | identifier
SmlAuthType | authType
char * | username
char * | password
char * | url
char * | target
SmlProtocolVersion | version
char * | fakeDevice
char * | fakeManufacturer
char * | fakeModel
char * | fakeSoftwareVersion
SmlDataSyncInternalStateType | internalState
int | refCount
SmlDataSyncPackageType | actualPackage
SmlDataSyncEventCallback | eventCallback
void * | eventUserdata
SmlDataSyncGetAlertTypeCallback | getAlertTypeCallback
void * | getAlertTypeUserdata
SmlDataSyncChangeCallback | changeCallback
void * | changeUserdata
SmlDataSyncChangeStatusCallback | changeStatusCallback
SmlDataSyncMappingCallback | mappingCallback
void * | mappingUserdata
SmlDataSyncGetAnchorCallback | getAnchorCallback
void * | getAnchorUserdata
SmlDataSyncSetAnchorCallback | setAnchorCallback
void * | setAnchorUserdata
SmlDataSyncWriteDevInfCallback | writeDevInfCallback
void * | writeDevInfUserdata
SmlDataSyncReadDevInfCallback | readDevInfCallback
void * | readDevInfUserdata
SmlDataSyncHandleRemoteDevInfCallback | handleRemoteDevInfCallback
void * | handleRemoteDevInfUserdata
SmlFunctionDataSyncInit | funcDsInit
SmlFunctionDataSyncInit | funcDsConnect
SmlFunctionTransportInit | funcTspInit
SmlFunctionTransportConnect | funcTspConnect
SmlDsSessionAlertCb | funcDatastoreAlert

## Detailed Description

This is the central synchronization object.

Definition at line 110 of file data_sync.h.

The documentation for this struct was generated from the following file:

- /build/libsyncml-I3VCSZ/libsyncml-0.5.4/libsyncml/data_sync_api/data_sync.h